/*-----------------------DELETE---------------------*/
/*------------------------------------------------*/
/*
DELETE FROM DW_temps_incidencies_prio;
DELETE FROM DW_peticions_sobre_temps;
DELETE FROM DW_usuari_mes_incidencies;
DELETE FROM DW_top10_peticions_seu;
DELETE FROM DW_tickets_resolts_mes;
DELETE FROM DW_servei_peticions;
DELETE FROM DW_incidencies_seu_any;
DELETE FROM DW_hores_tickets_L3;
DELETE FROM DW_incidencies_PM;
DELETE FROM DW_sms_no_respostos;
DELETE FROM DW_tickets_tancats;
DELETE FROM DW_tickets_per_canal;
DELETE FROM Log;
DELETE FROM Missatge;
DELETE FROM EstatSms;
DELETE FROM CanviEstat;
DELETE FROM EstatTicket;
DELETE FROM AssigTicketGrup;
DELETE FROM Ticket;
DELETE FROM CreacioTicket;
DELETE FROM Canal;
DELETE FROM TipusTicket;
DELETE FROM OfertaGrupServei;
DELETE FROM Servei;
DELETE FROM GrupServei;
DELETE FROM Prioritat;
DELETE FROM Tecnic;
DELETE FROM GrupSuport;
DELETE FROM NivellSuport;
DELETE FROM Interaccio;
DELETE FROM Usuari;
DELETE FROM Seu;
DELETE FROM Pais;
*/

/*----------------------ALTES--------------------*/
/*------------------------------------------------*/

DECLARE 
    RSP VARCHAR2 (200 CHAR); 

BEGIN 

	--Pais
    pais_alta ('Espanya', RSP);
    pais_alta ('Italia', RSP);
    pais_alta ('Franca', RSP);
    pais_alta ('Alemania', RSP); 
 
    --Seu
    seu_alta ('S001', 'Avd Catalunya 34', NULL, 'Espanya', RSP);
    seu_alta ('S002', 'Carrer Armengol 12', NULL, 'Espanya', RSP);
    seu_alta ('S003', 'Via del Corso SN', NULL, 'Italia', RSP);
    seu_alta ('S004', 'Rue du temple 2', NULL, 'Franca', RSP);
    
    --Usuari
    usuari_alta ('sergi_TEC@corp.com', 'S001', RSP);
    usuari_alta ('joan_TEC@corp.com', 'S001', RSP);
    usuari_alta ('sandra@corp.com', 'S001', RSP);
    usuari_alta ('ramon@corp.com', 'S001', RSP);
    usuari_alta ('julia@corp.com', 'S001', RSP);
    usuari_alta ('josep@corp.com', 'S001', RSP);
    usuari_alta ('angel@corp.com', 'S001', RSP);
    usuari_alta ('angelina@corp.com', 'S001', RSP);
    usuari_alta ('ester@corp.com', 'S001', RSP);
    usuari_alta ('alba_TEC@corp.com', 'S001', RSP);
    usuari_alta ('ingrid_TEC@corp.com', 'S001', RSP);
    usuari_alta ('josepr@corp.com', 'S001', RSP);
    usuari_alta ('anna@corp.com', 'S002', RSP);
    usuari_alta ('silvia@corp.com', 'S002', RSP);
    usuari_alta ('lucia_TEC@corp.com', 'S002', RSP);
    usuari_alta ('albert_TEC@corp.com', 'S002', RSP);
    usuari_alta ('carmeg@corp.com', 'S002', RSP);
    usuari_alta ('ramona@corp.com', 'S002', RSP);
    usuari_alta ('blasa@corp.com', 'S002', RSP);
    usuari_alta ('ricard_TEC@corp.com', 'S003', RSP);
    usuari_alta ('lluis_TEC@corp.com', 'S003', RSP);
    usuari_alta ('carla@corp.com', 'S003', RSP);
    usuari_alta ('carme@corp.com', 'S003', RSP);
    
    --Interaccio
    interaccio_alta ('sandra@corp.com', 'comanda', RSP);
    interaccio_alta ('angel@corp.com', 'albara', RSP);
    interaccio_alta ('anna@corp.com', 'baixa registre', RSP);
    interaccio_alta ('carme@corp.com', 'consulta cataleg', RSP);
    
    --NivellSuport
    nivellsuport_alta ('L1', 1, RSP);
    nivellsuport_alta ('L2', 2, RSP);
    nivellsuport_alta ('L3', 3, RSP);
    nivellsuport_alta ('Problem Management', 4, RSP);
    
    --GrupSuport
    grupsuport_alta ('SUP001', 'Suport L1 1', 'L1', RSP);
    grupsuport_alta ('SUP002', 'Suport L2 1', 'L2', RSP);
    grupsuport_alta ('SUP003', 'Suport L3 1', 'L3', RSP);
    grupsuport_alta ('SUP004', 'Suport PM 1', 'Problem Management', RSP);
    
    --Tecnic
    tecnic_alta ('sergi_TEC@corp.com', 'SUP001', RSP);
    tecnic_alta ('joan_TEC@corp.com', 'SUP001', RSP);
    tecnic_alta ('alba_TEC@corp.com', 'SUP002', RSP);
    tecnic_alta ('ingrid_TEC@corp.com', 'SUP002', RSP);
    tecnic_alta ('lucia_TEC@corp.com', 'SUP003', RSP);
    tecnic_alta ('albert_TEC@corp.com', 'SUP003', RSP);
    tecnic_alta ('ricard_TEC@corp.com', 'SUP004', RSP);
    tecnic_alta ('lluis_TEC@corp.com', 'SUP004', RSP);
    
    --Prioritat
    prioritat_alta (1, RSP);
    prioritat_alta (2, RSP);
    prioritat_alta (3, RSP);
    prioritat_alta (4, RSP);
    
    --GrupServei
    grupservei_alta ('Aplicacions', RSP);
    grupservei_alta ('Connexions', RSP);
    grupservei_alta ('Registres', RSP);
    grupservei_alta ('Interficies', RSP);
    
    --Servei
    servei_alta ('SERV001', NULL, 'Aplicacions', 60, 1, RSP);
    servei_alta ('SERV002', NULL, 'Aplicacions', 120, 1, RSP);
    servei_alta ('SERV003', NULL, 'Connexions', 2, 2, RSP);
    servei_alta ('SERV004', NULL, 'Connexions', 30, 3, RSP);
    servei_alta ('SERV005', NULL, 'Registres', 60, 3, RSP);
    
    --OfertaGrupServei
    ofertagrupservei_alta ('SUP001', 'SERV001', RSP);
    ofertagrupservei_alta ('SUP001', 'SERV002', RSP);
    ofertagrupservei_alta ('SUP001', 'SERV003', RSP);
    ofertagrupservei_alta ('SUP001', 'SERV004', RSP);
    ofertagrupservei_alta ('SUP002', 'SERV001', RSP);
    ofertagrupservei_alta ('SUP002', 'SERV002', RSP);
    ofertagrupservei_alta ('SUP002', 'SERV004', RSP);
    ofertagrupservei_alta ('SUP002', 'SERV005', RSP);
    ofertagrupservei_alta ('SUP003', 'SERV001', RSP);
    ofertagrupservei_alta ('SUP003', 'SERV002', RSP);
    ofertagrupservei_alta ('SUP003', 'SERV003', RSP);
    ofertagrupservei_alta ('SUP003', 'SERV004', RSP);
    ofertagrupservei_alta ('SUP003', 'SERV005', RSP);
    ofertagrupservei_alta ('SUP004', 'SERV001', RSP);
    ofertagrupservei_alta ('SUP004', 'SERV002', RSP);
    ofertagrupservei_alta ('SUP004', 'SERV003', RSP);
    ofertagrupservei_alta ('SUP004', 'SERV004', RSP);
    ofertagrupservei_alta ('SUP004', 'SERV005', RSP);

    --TipusTicket
    tipusticket_alta ('Incidencia', RSP);
    tipusticket_alta ('Peticio', RSP);

    --Canal
    canal_alta ('Web', RSP);
    canal_alta ('Xat', RSP);
    canal_alta ('Telefon', RSP);
    
    --CreacioTicket
    creacioticket_alta ('Agent', RSP);
    creacioticket_alta ('Automatic', RSP);
    
    --Ticket
    ticket_alta ('T001', 'SERV001', 1, 'Incidencia', 'Xat', 'Agent', 'sandra@corp.com', RSP);
    ticket_alta ('T002', 'SERV003', 2, 'Peticio', 'Xat', 'Agent', 'josepr@corp.com', RSP);
    ticket_alta ('T003', 'SERV004', 2, 'Incidencia', 'Web', 'Automatic', 'ramona@corp.com', RSP);
    ticket_alta ('T004', 'SERV005', 4, 'Peticio', 'Telefon', 'Automatic', 'carme@corp.com', RSP);

    --AssigTicketGrup
    assigticketgrup_alta ('T001', 'SUP001', RSP);
    assigticketgrup_alta ('T002', 'SUP001', RSP);
    assigticketgrup_alta ('T003', 'SUP001', RSP);
    assigticketgrup_alta ('T004', 'SUP002', RSP);

    --EstatTicket
    estatticket_alta ('Creat', RSP);
    estatticket_alta ('Assignat', RSP);
    estatticket_alta ('En progres', RSP);
    estatticket_alta ('Resolt', RSP);
    estatticket_alta ('Cancelat', RSP);
    
    --CanviEstat
    canviestat_alta ('T001', 'sergi_TEC@corp.com', 'Assignat', RSP);
    canviestat_alta ('T002', 'sergi_TEC@corp.com', 'Assignat', RSP);
    canviestat_alta ('T003', 'joan_TEC@corp.com', 'Assignat', RSP);
    canviestat_alta ('T004', 'alba_TEC@corp.com', 'Assignat', RSP);
    
    --EstatSms
    estatsms_alta ('Enviat', RSP);
    estatsms_alta ('Rebut', RSP);
    estatsms_alta ('Llegit', RSP);
    
    --Missatge
    missatge_alta ('SMS001', 'SYS', 'Enviat', 'T001', RSP);
    missatge_alta ('SMS002', 'SYS', 'Enviat', 'T002', RSP);
    missatge_alta ('SMS003', 'SYS', 'Enviat', 'T003', RSP);
    missatge_alta ('SMS004', 'SYS', 'Enviat', 'T004', RSP);
    missatge_alta ('SMS005', 'carme@corp.com', 'Enviat', 'T004', RSP);  
    
END;